Proxy-seller

Export IPs in txt/csv/custom

Downloads proxies in text, CSV, or custom format. By default each line is returned as `login:password@ip:port;`. The response is plain text on success and JSON when the API returns a business error.

GET
/personal/api/v2/{apiKey}/proxy/download/{type}

Path Parameters

apiKey*string

Client API key.

type*string

Proxy type.

Value in"ipv4" | "ipv6" | "mobile" | "isp" | "mix" | "mix_isp" | "resident" | "subresident"

Query Parameters

ext?string

Export type (txt, csv) or custom format using %login%, %password%, %ip%, %port%.

proto?string

Preferred protocol port.

Value in"https" | "socks5"
listId?string

Resident list ID.

package_key?string

Subresident package key.

country?string

Filter by Alpha-3 country code.

Length3 <= length <= 3
ends?string

Set to Y to return proxies with the ending status.

Value in"Y" | "N"

Response Body

application/json

application/json

curl -X GET "https://proxy-seller.com/personal/api/v2/abc123/proxy/download/ipv4?ext=%25login%25%3A%25password%25%40%25ip%25%3A%25port%25&proto=https&listId=123&package_key=pkg_abc123&country=USA&ends=Y"
{
  "data": null,
  "errors": [
    {
      "code": 22002,
      "message": "Could not find description of list/unknown_type in CrmUserApiProxy",
      "customData": null
    }
  ],
  "status": "error"
}
{
  "code": 400,
  "message": "Bad request",
  "customData": null
}
{
  "error": "Too many requests"
}
Proxy-seller